## ICalDuration

ICalDuration

## Functions

gboolean | i_cal_duration_is_neg ()
void | i_cal_duration_set_is_neg ()
guint | i_cal_duration_get_days ()
void | i_cal_duration_set_days ()
guint | i_cal_duration_get_weeks ()
void | i_cal_duration_set_weeks ()
guint | i_cal_duration_get_hours ()
void | i_cal_duration_set_hours ()
guint | i_cal_duration_get_minutes ()
void | i_cal_duration_set_minutes ()
guint | i_cal_duration_get_seconds ()
void | i_cal_duration_set_seconds ()
ICalDuration * | i_cal_duration_new_from_int ()
ICalDuration * | i_cal_duration_new_from_string ()
gint | i_cal_duration_as_int ()
gchar * | i_cal_duration_as_ical_string ()
ICalDuration * | i_cal_duration_new_null_duration ()
ICalDuration * | i_cal_duration_new_bad_duration ()
gboolean | i_cal_duration_is_null_duration ()
gboolean | i_cal_duration_is_bad_duration ()

## Types and Values

| ICalDuration
struct | ICalDurationClass

## Object Hierarchy

        GObject
        ╰── ICalObject
            ╰── ICalDuration

## Description

## Functions

### i_cal_duration_is_neg ()

    gboolean
    i_cal_duration_is_neg (ICalDuration *duration);

Gets the is_neg of ICalDuration.

#### Parameters

duration | The ICalDuration to be queried |

#### Returns

The is_neg.

Since: 1.0

### i_cal_duration_set_is_neg ()

    void
    i_cal_duration_set_is_neg (ICalDuration *duration,
                               gboolean is_neg);

Sets the is_neg of ICalDuration.

#### Parameters

duration | The ICalDuration to be set |
is_neg | The is_neg |

Since: 1.0

### i_cal_duration_get_days ()

    guint
    i_cal_duration_get_days (ICalDuration *duration);

Gets the days of ICalDuration.

#### Parameters

duration | The ICalDuration to be queried |

#### Returns

The days.

Since: 1.0

### i_cal_duration_set_days ()

    void
    i_cal_duration_set_days (ICalDuration *duration,
                             guint days);

Sets the days of ICalDuration.

#### Parameters

duration | The ICalDuration to be set |
days | The days |

Since: 1.0

### i_cal_duration_get_weeks ()

    guint
    i_cal_duration_get_weeks (ICalDuration *duration);

Gets the weeks of ICalDuration.

#### Parameters

duration | The ICalDuration to be queried |

#### Returns

The weeks.

Since: 1.0

### i_cal_duration_set_weeks ()

    void
    i_cal_duration_set_weeks (ICalDuration *duration,
                              guint weeks);

Sets the weeks of ICalDuration.

#### Parameters

duration | The ICalDuration to be set |
weeks | The weeks |

Since: 1.0

### i_cal_duration_get_hours ()

    guint
    i_cal_duration_get_hours (ICalDuration *duration);

Gets the hours of ICalDuration.

#### Parameters

duration | The ICalDuration to be queried |

#### Returns

The hours.

Since: 1.0

### i_cal_duration_set_hours ()

    void
    i_cal_duration_set_hours (ICalDuration *duration,
                              guint hours);

Sets the hours of ICalDuration.

#### Parameters

duration | The ICalDuration to be set |
hours | The hours |

Since: 1.0

### i_cal_duration_get_minutes ()

    guint
    i_cal_duration_get_minutes (ICalDuration *duration);

Gets the minutes of ICalDuration.

#### Parameters

duration | The ICalDuration to be queried |

#### Returns

The minutes.

Since: 1.0

### i_cal_duration_set_minutes ()

    void
    i_cal_duration_set_minutes (ICalDuration *duration,
                                guint minutes);

Sets the minutes of ICalDuration.

#### Parameters

duration | The ICalDuration to be set |
minutes | The minutes |

Since: 1.0

### i_cal_duration_get_seconds ()

    guint
    i_cal_duration_get_seconds (ICalDuration *duration);

Gets the seconds of ICalDuration.

#### Parameters

duration | The ICalDuration to be queried |

#### Returns

The seconds.

Since: 1.0

### i_cal_duration_set_seconds ()

    void
    i_cal_duration_set_seconds (ICalDuration *duration,
                                guint seconds);

Sets the seconds of ICalDuration.

#### Parameters

duration | The ICalDuration to be set |
seconds | The seconds |

Since: 1.0

### i_cal_duration_new_from_int ()

    ICalDuration *
    i_cal_duration_new_from_int (gint t);

Creates a ICalDuration from the duration in second.

#### Parameters

t | The duration in second |

#### Returns

The newly created ICalDuration.

[transfer full]

Since: 1.0

### i_cal_duration_new_from_string ()

    ICalDuration *
    i_cal_duration_new_from_string (const gchar *str);

Creates a ICalDuration from the duration in string.

#### Parameters

str | The string representation of the duration |

#### Returns

The newly created ICalDuration.

[transfer full]

Since: 1.0

### i_cal_duration_as_int ()

    gint
    i_cal_duration_as_int (ICalDuration *duration);

Converts the ICalDuration to the representation in second.

#### Parameters

duration | The ICalDuration to be converted |

#### Returns

The duration in second

Since: 1.0

### i_cal_duration_as_ical_string ()

    gchar *
    i_cal_duration_as_ical_string (ICalDuration *duration);

Converts the ICalDuration to the representation in string.

#### Parameters

duration | The ICalDuration to be converted |

#### Returns

The duration in string.

[transfer full]

Since: 1.0

### i_cal_duration_new_null_duration ()

    ICalDuration *
    i_cal_duration_new_null_duration (void);

Creates a ICalDuration with all the fields to be zero.

#### Returns

The newly created ICalDuration.

[transfer full]

Since: 1.0

### i_cal_duration_new_bad_duration ()

    ICalDuration *
    i_cal_duration_new_bad_duration (void);

Creates a bad ICalDuration.

#### Returns

The newly created ICalDuration.

[transfer full]

Since: 1.0

### i_cal_duration_is_null_duration ()

    gboolean
    i_cal_duration_is_null_duration (ICalDuration *duration);

Checks whether the ICalDuration is the null_duration.

#### Parameters

duration | The ICalDuration to be checked |

#### Returns

1 if `duration` is the null_duration, 0 if not.

Since: 1.0

### i_cal_duration_is_bad_duration ()

    gboolean
    i_cal_duration_is_bad_duration (ICalDuration *duration);

Checks whether the ICalDuration is the bad_duration.

#### Parameters

duration | The ICalDuration to be checked |

#### Returns

1 if `duration` is the bad_duration, 0 if not.

Since: 1.0

## Types and Values

### ICalDuration

    typedef struct _ICalDuration ICalDuration;

This is the ICalDuration instance.

### struct ICalDurationClass

    struct ICalDurationClass {
    };

This is the ICalDuration class.